import { Vec2 } from "cc";
import GObject from "./base/GObject";
import { v3 } from "cc";


export default class GBaseMode extends GObject<{}> {

    //添加对象到场景中
    addGObject(obj: GObject<{}>,pos?:Vec2){
        obj.mode = this;
        this.node.addChild(obj.node);
        if(pos){
            obj.node.setWorldPosition(v3(pos.x,pos.y,0));
        }
    }

}

