import GRoleBase from "../base/role/GRoleBase";


//角色工具类
export default class GRoleUtil{

    //获取存活的玩家 如果不存活则返回 null
    static get<T>(player:GRoleBase<T>):() => GRoleBase<T>{
        if(!player) return null;
        return ():GRoleBase<T> => {
            if(player)
                return player.get();
            return null;
        }
    }

}


